package rozwiazania_zadan.r1.z04_remont;

import javax.swing.JOptionPane;

public class FirmaRemontowa2 {

	public static void main(String[] args) {
		double szerokosc = Double.parseDouble(JOptionPane.showInputDialog("Podaj szerokość pomieszczenia"));
		double dlugosc = Double.parseDouble(JOptionPane.showInputDialog("Podaj długość pomieszczenia"));
		double wysokosc = Double.parseDouble(JOptionPane.showInputDialog("Podaj wysokość", "2.50"));
		
		double powierchniaPodlogi = dlugosc * szerokosc;
		double obwod = 2*dlugosc + 2*szerokosc;
		double powierzchniaScian = obwod * wysokosc;
		
		double cena_gipsowanie = 30;
		double cena_malowanie = 15;
		double cena_panele = 20;
		double cena_listwy = 10;
		
		double suma = 0;
		if(JOptionPane.showConfirmDialog(null, "Czy chcesz wykonać gipsowanie?") == JOptionPane.YES_OPTION) {
			double kosztGipsowania = cena_gipsowanie * powierzchniaScian;
			suma += kosztGipsowania;
		}

		if(JOptionPane.showConfirmDialog(null, "Czy chcesz wykonać malowanie?") == JOptionPane.YES_OPTION) {
			double kosztMalowania = cena_malowanie * (powierzchniaScian + powierchniaPodlogi);
			suma += kosztMalowania;
		}

		if(JOptionPane.showConfirmDialog(null, "Czy chcesz położyć panele i listwy podłogowe?") == JOptionPane.YES_OPTION) {
			double kosztPaneli = cena_panele * powierchniaPodlogi;
			double kosztListew = cena_listwy * obwod;
			suma += kosztPaneli + kosztListew;
		}

		JOptionPane.showMessageDialog(null,
				String.format("Koszt sumaryczny wynosi %.2f", suma));
	}

}
